package pl.polgrabiat.websockets.chat.websocketschat.handlers;

import org.springframework.web.socket.WebSocketSession;
import pl.polgrabiat.websockets.chat.websocketschat.dto.GlobalCtx;
import pl.polgrabiat.websockets.chat.websocketschat.dto.UserCtx;

import java.io.IOException;
import java.util.StringTokenizer;

public class UserCommandHandler implements SessionCommandHandler {
    @Override
    public boolean handleCommand(GlobalCtx globalCtx, WebSocketSession session, String payload, String command, String data) throws IOException {
        StringTokenizer tokenizer = new StringTokenizer(data," ");
        String userName = tokenizer.nextToken();
        String code1 = tokenizer.nextToken();
        if (!"0".equals(code1)) {
            return false;
        }

        String code2 = tokenizer.nextToken();
        if (!"*".equals(code2)) {
            return false;
        }

        String realName = tokenizer.nextToken(":");
        UserCtx userCtx = globalCtx.getUserSessions().get(session.getId());

        String nick = userCtx.getNick();
        if (nick == null || "".equals(nick)) {

        }
        userCtx.setUserName(userName);
        userCtx.setRealName(realName);

        sendMessage(session, globalCtx, 200,
                "MSG OK");
        return true;
    }
}
