window.onload = function() {
    var sockJs = new SockJS("/chat");
    sockJs.onopen = function() {
        console.log("Socket opened");
        // TODO send a nick message
        // TODO send the userName and realName message
    };

    sockJs.onclose = function() {
        console.log("Socket closed");
    };

    sockJs.onmessage = function(e) {
        console.log("Received message: " + e.data);
    };

    var messageInput = document.getElementById("message");
    messageInput.onkeyup = function(e) {
        if (e.keyCode == 13) {
            sockJs.send(messageInput.value);
        }
    };
};